Module: selenium-webdriver/opera
View Source

# class Driver

    webdriver.WebDriver
      └ Driver

Creates a new WebDriver client for Opera.

## new Driver(opt_config, opt_service, opt_flow)

Parameters

opt_config`?(Capabilities|Options)=`

  The configuration options.

opt_service`?DriverService=`

  The session to use; will use the `default service` by default.

opt_flow`?webdriver.promise.ControlFlow=`

  The control flow to use, or `null` to use the currently active flow.

## Instance Methods

### setFileDetector()code »

This function is a no-op as file detectors are not supported by this implementation.

Overrides: webdriver.WebDriver